%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           awn-extras-applets
Version:        0.3.2.1
Release:        8%{?dist}
Summary:        Extras applets for avant window navigator

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://launchpad.net/awn-extras/
Source0:        https://edge.launchpad.net/awn-extras/0.3/%{version}/+download/%{name}-%{version}.tar.gz
#patch modifies autotools files to make python bindings install to sitearch 
#requires autoreconf to take effect.
Patch0:         %{name}-%{version}-python-platform.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  avant-window-navigator-devel >= 0.3.2
BuildRequires:  libwnck-devel
BuildRequires:  libXres-devel
BuildRequires:  libglade2-devel
BuildRequires:  gnome-menus-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libgtop2-devel
BuildRequires:  gtk2-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  GConf2-devel
BuildRequires:  libsexy-devel
BuildRequires:  libnotify-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  pycairo-devel
BuildRequires:  pygtk2-devel
BuildRequires:  vte-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libtool
BuildRequires:  intltool 
BuildRequires:  vala-devel
BuildRequires:  WebKit-gtk-devel
#BuildRequires:  gettext
#required for autoreconf:
BuildRequires:  autoconf, automake

Requires:       avant-window-navigator >= 0.3.2
Requires:       gnome-python2-gnome
Requires:       gnome-python2-gnomedesktop
Requires:       gnome-python2-gnomevfs
Requires:       gnome-python2-libwnck
Requires:       gnome-python2-rsvg
Requires:       gnome-python2-gtkmozembed
Requires:       gstreamer-python
Requires:       python-alsaaudio
Requires:       python-feedparser
Requires:       gnome-menus
Requires:       acpi
Requires:       dbus-python
Requires:       pycairo
Requires:       pygtk2
Requires:       vte

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
awn-extras-applets includes extras applets of Avant Window Navigator (Awn).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p0


%build
#required for python-platform patch
libtoolize --force
autoreconf
%configure --disable-static --disable-pymod-checks --with-webkit
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

#translations included in non-standard way. no find_lang for now
#%find_lang

#remove script-shebang in non-executables
stripscript()
{
  sed '1d' "$1" > "${1}_"
  mv -f "${1}_" "$1"
}
for f in `find $RPM_BUILD_ROOT%{_datadir}/avant-window-navigator/applets/ -name *.py ! -executable`
 do stripscript $f
done
stripscript $RPM_BUILD_ROOT%{python_sitearch}/awn/extras/detach.py


%pre
SCHEMAS="arss awn-notification-daemon awnsystemmonitor awnterm cairo-clock DesktopManager digitalClock file-browser-launcher filebrowser places pynot-rgba pynot shinyswitcher to-do trash"
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for name in ${SCHEMAS}; do
      gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/${name}.schemas >/dev/null || :
    done
fi

%post
SCHEMAS="arss awn-notification-daemon awnsystemmonitor awnterm cairo-clock DesktopManager digitalClock file-browser-launcher filebrowser places pynot-rgba pynot shinyswitcher to-do trash"
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for name in ${SCHEMAS}; do
  gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/${name}.schemas > /dev/null || :
done

/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%preun
SCHEMAS="arss awn-notification-daemon awnsystemmonitor awnterm cairo-clock DesktopManager digitalClock file-browser-launcher filebrowser places pynot-rgba pynot shinyswitcher to-do trash"
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for name in ${SCHEMAS}; do
      gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/${name}.schemas > /dev/null || :
    done
fi

%postun
/sbin/ldconfig

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_libdir}/libawn-extras.so.*
%{_libdir}/awn
%{python_sitearch}/awn/extras
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/avant-window-navigator/applets/*
%{_datadir}/avant-window-navigator/defs/*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Apr 02 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.1-8
- Add patch to fix build on x86_64
- Enable webkit-gtk powered applets

* Tue Apr 02 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.2.1-4
- New upstream release
- Add devel package
- Update schemas scriplets
- Fix rpmlint warnings about non-executable scripts
- Add gnome-icon-cache scriplet
- Add shared library scriplet
- clean up files list
- Use python_sitearch, not sitelib as package is arch.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.6-8
- Resolves: rhbz#478696 make build again

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.6-7
- Rebuild for Python 2.6

* Thu Aug 26 2008 Huang Peng <phuang@redhat.com> - 0.2.6-6
- Replace require gnome-python2 with gnome-python2-gnome

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.6-5
- rebuild for dependancies

* Thu Mar 27 2008 Huang Peng <phuang@redhat.com> - 0.2.6-4
- Add libXcomposite-devel in BuildRequire.

* Mon Mar 24 2008 Huang Peng <phuang@redhat.com> - 0.2.6-3
- Remove require avant-window-navigator-python.

* Wed Mar 19 2008 Huang Peng <phuang@redhat.com> - 0.2.6-2
- Update BuildRequire and Require in rpm spec file.

* Mon Mar 17 2008 Huang Peng <phuang@redhat.com> - 0.2.6-1
- Update to 0.2.6.

* Wed Feb 20 2008 Huang Peng <phuang@redhat.com> - 0.2.4-1
- Update to 0.2.4.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-2
- Autorebuild for GCC 4.3

* Tue Nov 6 2007 Huang Peng <phuang@redhat.com> - 0.2.1-1
- Initial build.
